[Mesa-dev] [PATCH 2/2] bin/get-pick-list.sh: warn when commit lists invalid sha

Emil Velikov emil.l.velikov at gmail.com
Mon Dec 17 16:43:49 UTC 2018


From: Emil Velikov <emil.velikov at collabora.com>

We had cases where people would list old/invalid sha in the commit.
Add a trivial checker to catch those and throw a warning.

CC: Andres Gomez <agomez at igalia.com>
CC: Juan A. Suarez <jasuarez at igalia.com>
CC: Dylan Baker <dylan at pnwbakers.com>
CC: mesa-stable at lists.freedesktop.org
Signed-off-by: Emil Velikov <emil.velikov at collabora.com>
---
 bin/get-pick-list.sh | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/bin/get-pick-list.sh b/bin/get-pick-list.sh
index 08a783f35a8..79b7a295ea6 100755
--- a/bin/get-pick-list.sh
+++ b/bin/get-pick-list.sh
@@ -38,6 +38,17 @@ is_sha_nomination()
 	if test $fixes_count -eq 0; then
 		return 1
 	fi
+
+	# Throw a warning for each invalid sha
+	while test $fixes_count -gt 0; do
+		# Treat only the current line
+		id=`echo "$fixes" | tail -n $fixes_count | head -n 1 | cut -d : -f 2`
+		fixes_count=$(($fixes_count-1))
+		if ! git show $id &>/dev/null; then
+			echo WARNING: Commit $1 lists invalid sha $id
+		fi
+	done
+
 	return 0
 }
 
-- 
2.19.2



More information about the mesa-dev mailing list